# cronotab.rb — Crono configuration file
#
# Here you can specify periodic jobs and schedule.
# You can use ActiveJob's jobs from `app/jobs/`
# You can use any class. The only requirement is that
# class should have a method `perform` without arguments.
#
# class TestJob
#   def perform
#     puts 'Test!'
#   end
# end
#
# Crono.perform(TestJob).every 2.days, at: '15:30'
#

# Dynamic conference imports
Conference.where.not(import_job_class: nil).pluck(:slug).each do |slug|
  Crono.perform(ConferenceImportJob, slug).every 5.minutes
end

# Uncomment to manually configure specific conferences
# Crono.perform(FetchConferenceDataJob, "38c3").every 5.minutes
# Crono.perform(FetchConferenceDataJob, "38c3-more").every 5.minutes

# Crono.perform(TelegramNotifyUpcomingJob, { offset: 15.minutes.to_i, interval: 1.minute.to_i }).every 1.minute
